libcdr::CDRLineToElement Class Reference
Inheritance diagram for libcdr::CDRLineToElement:

## Public Member Functions

| CDRLineToElement (double x, double y)
| ~CDRLineToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes

double | m_x
double | m_y

## Constructor & Destructor Documentation

## CDRLineToElement()

libcdr::CDRLineToElement::CDRLineToElement | ( | double | x,
|  | double | y )

inline

## ~CDRLineToElement()

libcdr::CDRLineToElement::~CDRLineToElement | ( |  | ) |

inline override

## Member Function Documentation

## clone()

std::unique_ptr< CDRPathElement > libcdr::CDRLineToElement::clone | ( |  | ) |

override virtual

Implements libcdr::CDRPathElement.

## transform() [1/2]

void libcdr::CDRLineToElement::transform | ( | const CDRTransform & | trafo | ) |

override virtual

Implements libcdr::CDRPathElement.

## transform() [2/2]

void libcdr::CDRLineToElement::transform | ( | const CDRTransforms & | trafos | ) |

override virtual

Implements libcdr::CDRPathElement.

## writeOut()

void libcdr::CDRLineToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const

override virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## m_x

double libcdr::CDRLineToElement::m_x

private

Referenced by CDRLineToElement(), clone(), transform(), transform(), and writeOut().

## m_y

double libcdr::CDRLineToElement::m_y

private

Referenced by CDRLineToElement(), clone(), transform(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp